Page MenuHomePhabricator

Error for file namespace should escape the title in the link
Closed, ResolvedPublic

Description

In looking at the error from T211052, I noticed that the error has the page title unescaped for the File namespace:

"wikibase-mediainfo" content is not allowed on page [[File:Foo.png]] in slot "⧼slot-name-main⧽"

This renders in wikitext poorly. :-) Instead, we'd want:

"wikibase-mediainfo" content is not allowed on page [[:File:Foo.png]] in slot "⧼slot-name-main⧽"

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2018, 8:31 PM
Jdforrester-WMF moved this task from To Do to Doing on the Structured Data Engineering board.
Jdforrester-WMF edited projects, added Core Platform Team (MCR); removed Wikidata.

Change 477625 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] PageUpdater: Escape the File namespace in error links to pages

https://gerrit.wikimedia.org/r/477625

Change 477625 merged by jenkins-bot:
[mediawiki/core@master] i18n: Escape the File and Category namespaces in error links to pages

https://gerrit.wikimedia.org/r/477625

Jdforrester-WMF closed this task as Resolved.Dec 6 2018, 3:57 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF removed a project: Patch-For-Review.
greg added a project: Multimedia.Mar 7 2019, 10:59 PM